Bug 205102 - shells/fish: Update to 2.2.0
Summary: shells/fish: Update to 2.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords: needs-qa, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-12-07 21:12 UTC by Randy Westlund
Modified: 2015-12-22 10:38 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (freebsd.users)


Attachments
update to 2.2.0 (19.45 KB, patch)
2015-12-07 21:12 UTC, Randy Westlund
no flags Details | Diff
update to 2.2.0 and remove PORTREVISION (19.45 KB, patch)
2015-12-08 05:03 UTC, Randy Westlund
koobs: maintainer-approval? (freebsd.users)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Randy Westlund 2015-12-07 21:12:57 UTC
Created attachment 163955 [details]
update to 2.2.0

Update fish to 2.2.0

- remove files/patch-env__universal__common.cpp, which is no longer necessary (see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=196661)

- remove fishd and fish_pager from Makefile (removed upstream)

- add all the new completion functions to pkg-plist

It passes portlint and is working on my systems.
Comment 1 VK freebsd_triage 2015-12-07 21:34:57 UTC
Hi Randy, thanks for the patch.

That completions/..fish looked a bit weird to me, but I see it's in the upstream code on GitHub so not a typo in the patch. :)
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-08 03:48:19 UTC
PORTREVISION should be reset (removed) on a version update.
Comment 3 Randy Westlund 2015-12-08 05:03:05 UTC
Created attachment 163976 [details]
update to 2.2.0 and remove PORTREVISION

Oops, forgot about that.  I've updated the patch.
Comment 4 commit-hook freebsd_committer 2015-12-22 10:38:50 UTC
A commit references this bug:

Author: miwi
Date: Tue Dec 22 10:37:59 UTC 2015
New revision: 404226
URL: https://svnweb.freebsd.org/changeset/ports/404226

Log:
  - Update to 2.2.0

  PR:		205102
  Submitted by:	Randy Westlund
  Approved by:	mat (mentor); maintainer timeout
  Differential Revision:	D4568

Changes:
  head/shells/fish/Makefile
  head/shells/fish/distinfo
  head/shells/fish/files/patch-env__universal__common.cpp
  head/shells/fish/pkg-plist